package com.lz.modules.flow.req;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*流转关系表
* @author quyixiao
* @since 2020-08-18
*/


@Data
public class FlowRelationReq implements java.io.Serializable {
  
    private int page = 1;
    private int rows = 10;
    private String sort;
    private String order;
    //
    private Long id;
    //是否删除状态，1：删除，0：有效
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //最后修改时间
    private Date gmtModified;
    //子节点，可以是员工 id,也可以是 部门 id
    private String child;
    //父亲节点 id,一般是员工 id
    private String parent;
    //是否可替换
    private Integer canReplace;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 子节点，可以是员工 id,也可以是 部门 id 
     * @return
     */
    public String getChild() {
        return child;
    }
    /**
     * 子节点，可以是员工 id,也可以是 部门 id 
     * @param child
     */
    public void setChild(String child) {
        this.child = child;
    }

    /**
     * 父亲节点 id,一般是员工 id 
     * @return
     */
    public String getParent() {
        return parent;
    }
    /**
     * 父亲节点 id,一般是员工 id 
     * @param parent
     */
    public void setParent(String parent) {
        this.parent = parent;
    }

    /**
     * 是否可替换 
     * @return
     */
    public Integer getCanReplace() {
        return canReplace;
    }
    /**
     * 是否可替换 
     * @param canReplace
     */
    public void setCanReplace(Integer canReplace) {
        this.canReplace = canReplace;
    }

    @Override
    public String toString() {
        return "FlowRelation{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",child=" + child +
                ",parent=" + parent +
                ",canReplace=" + canReplace +
                "}";
    }
}